OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPAttr
StepVisual

# StepVisual_InvisibleItem Class Reference

`#include <StepVisual_InvisibleItem.hxx>`

Inheritance diagram for StepVisual_InvisibleItem:

[legend]

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepVisual_InvisibleItem ()
| Returns a InvisibleItem SelectType .
Standard_EXPORT Standard_Integer | CaseNum (const Handle(Standard_Transient)&ent) const
| Recognizes a InvisibleItem Kind Entity that is : 1 -> StyledItem 2 -> PresentationLayerAssignment 3 -> PresentationRepresentation 0 else .
Standard_EXPORT Handle_StepVisual_StyledItem | StyledItem () const
| returns Value as a StyledItem (Null if another type)
Standard_EXPORT Handle_StepVisual_PresentationLayerAssignment | PresentationLayerAssignment () const
| returns Value as a PresentationLayerAssignment (Null if another type)
Standard_EXPORT Handle_StepVisual_PresentationRepresentation | PresentationRepresentation () const
| returns Value as a PresentationRepresentation (Null if another type)

## Constructor & Destructor Documentation

Standard_EXPORT StepVisual_InvisibleItem::StepVisual_InvisibleItem | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer StepVisual_InvisibleItem::CaseNum | ( | const Handle(Standard_Transient)& | ent | ) | const`[virtual]`

| Implements StepData_SelectType.

void StepVisual_InvisibleItem::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepVisual_InvisibleItem::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepVisual_InvisibleItem::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepData_SelectType.

Standard_EXPORT Handle_StepVisual_PresentationLayerAssignment StepVisual_InvisibleItem::PresentationLayerAssignment | ( |  | ) | const

Standard_EXPORT Handle_StepVisual_PresentationRepresentation StepVisual_InvisibleItem::PresentationRepresentation | ( |  | ) | const

Standard_EXPORT Handle_StepVisual_StyledItem StepVisual_InvisibleItem::StyledItem | ( |  | ) | const

The documentation for this class was generated from the following file:

- StepVisual_InvisibleItem.hxx